One Improvement (associations + proposal)
GET
/api/v1/improvements/{id}Requires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/improvements/string"{ "improvement": { "id": "string", "organizationId": "string", "seq": 0, "title": "string", "description": "string", "status": "to_do", "priority": "none", "tags": [ "string" ], "assigneeId": null, "dueDate": null, "projectId": null, "createdBy": null, "createdAt": "string", "updatedAt": "string" }, "associations": [ { "linkId": "string", "messageId": "string", "conversationId": "string", "message": { "id": "string", "requestId": null, "conversationId": "string", "role": "assistant", "content": [ null ], "authorMemberId": null, "authorName": null, "flowId": null, "flowName": null, "feedback": 0, "feedbackReaction": null, "trace": null, "createdAt": "string" }, "transcript": [ { "id": "string", "requestId": null, "conversationId": "string", "role": null, "content": [ null ], "authorMemberId": null, "authorName": null, "flowId": null, "flowName": null, "feedback": null, "feedbackReaction": null, "trace": null, "createdAt": "string" } ], "conversation": { "assistantTitle": "string", "collectionName": null, "messageCount": 0, "flowNames": [ "string" ], "notificationOnly": true, "feedback": 0, "hasNeutralFeedback": false, "id": "string", "metadata": { "flaggedAnswer": null, "preflight": { "spokenLanguage": null, "escalationIntent": null, "recommendedHelpDeskId": null, "endedAtFrustration": null, "languageTally": null }, "apiKeyId": "string", "routineId": "string", "routineName": "string", "referredFromConversationId": "string", "referredFromTeammateName": "string", "referralSummary": "string", "referredTo": [ null ], "flowsAgent": { "assistantId": null, "flowId": null }, "pendingReviewId": null, "pendingWebhookId": null, "origin": "slack", "userName": "string", "userEmail": "string", "userRole": "string", "launchUrl": "string", "ip": "string", "os": "string", "browser": "string", "language": "string", "location": "string", "city": "string", "resolution": "string", "escalated": null, "feedbackText": "string", "feedbackAt": "string", "courseId": "string", "courseName": "string", "studentId": "string", "csatScore": 0, "csatComment": "string", "escalationHelpDesk": "string", "escalationHelpDeskId": "string", "escalationChannelId": "string", "escalationInboxUrl": "string", "escalationOption": "string", "escalationSummary": "string", "escalationSummaryKey": "string", "operatorRequestFields": [ null ], "escalationRecommendedHelpDesk": "string", "escalationFollowedRecommendation": null, "escalationTicket": { "provider": null, "id": null, "number": null, "url": null }, "externalUserData": { "property1": null, "property2": null }, "externalUserDataSourceNames": [ null ], "ssoClaimName": "string", "ssoClaimValue": "string" }, "title": "string", "createdAt": "string", "updatedAt": "string", "assistantId": null, "teammateId": null, "subjectId": "string", "operator": { "state": null, "memberId": null, "memberName": null, "heldAt": null, "waitingSince": null, "waitingHelpDeskId": null, "waitingChannelId": null, "waitTimeoutMinutes": null, "assignedMemberId": null, "assignedAt": null }, "collectionId": null, "pinned": true, "subjectType": "member", "legalHold": false, "messagesDeletedThrough": null } } ], "proposal": null}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}